Package org.apache.maven.scm.provider.starteam.command.changelog

## Class StarteamChangeLogConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.starteam.command.changelog.StarteamChangeLogConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class StarteamChangeLogConsumer
    extends AbstractConsumer

Author:
  Emmanuel Venisse, Olivier Lamy

### Constructor Summary

Constructors
`StarteamChangeLogConsumer​(java.io.File workingDirectory, ScmLogger logger, java.util.Date startDate, java.util.Date endDate, java.lang.String userDateFormat)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.util.List<ChangeSet>` `getModifications()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StarteamChangeLogConsumer

    public StarteamChangeLogConsumer​(java.io.File workingDirectory,
                                     ScmLogger logger,
                                     java.util.Date startDate,
                                     java.util.Date endDate,
                                     java.lang.String userDateFormat)

### Method Detail

#### getModifications

    public java.util.List<ChangeSet> getModifications()

#### consumeLine

    public void consumeLine​(java.lang.String line)